## eole-ead3 2.6.1-55

=== Makefile ===
################################
# Makefile pour ewt-portal
################################

SOURCE=eole-ead3
VERSION=0.0
EOLE_VERSION=2.6
EOLE_RELEASE=2.6.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ead3 (2.6.1-55) eole-2.6.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [1fec329] EAD3 : activer_ead3 can be disabled
  * [ec217df] Merge branch '2.6.1/master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [5c8da37] Joël Cuissinat: Update package since “debian/2.6.1-54”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Apr 2017 11:15:51 +0200

eole-ead3 (2.6.1-54) eole-2.6.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [cc3390d] EAD3 : redefine and drive SaltStack activation
  * [4ab7b85] Merge branch '2.6.1/master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [b92ca3a] Joël Cuissinat: Update package since “debian/2.6.1-53”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 05 Apr 2017 10:35:48 +0200

eole-ead3 (2.6.1-53) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [04f3f23] Add mandatory option on date/hour/minute inputs
  * [e2c090f] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [2dcc04c] Lionel MORIN: Update package since “debian/2.6.1-52”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 21 Mar 2017 16:18:54 +0100

eole-ead3 (2.6.1-52) eole-2.6.1-proposed-updates; urgency=low

  [ William Petit ]
  * [65c601b] Remove majonce variables persistence

  [ Lionel MORIN ]
  * [ff18616] Fix conditions of activer_nginx_web if apache is installed
  * [277932a] Use test_activer_nginx_web to disable Apache Configuration
  * [2a21187] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [398aaa1] Lionel MORIN: Update package since “debian/2.6.1-51”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 20 Mar 2017 16:10:02 +0100

eole-ead3 (2.6.1-51) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [62e742b] Order schedule list in scheduleonce action
  * [6b424cb] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [7f41a86] Lionel MORIN: Update package since “debian/2.6.1-50”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 17 Mar 2017 15:53:41 +0100

eole-ead3 (2.6.1-50) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [93030bd] Better reload button for scheduleonce
  * [ed17abb] Fix schedule script path
  * [2a13419] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [32cd808] Lionel MORIN: Update package since “debian/2.6.1-49”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 17 Mar 2017 14:24:04 +0100

eole-ead3 (2.6.1-49) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [bd9cfa6] Add missing bower components for scheduleonce (paper-toast)
  * [8526abf] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [71f382f] Lionel MORIN: Update package since “debian/2.6.1-48”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 17 Mar 2017 11:46:58 +0100

eole-ead3 (2.6.1-48) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [615ab49] Revert "Fix test in reboot and shutdown script"
  * [467d1ec] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [478d2c0] Lionel MORIN: Update package since “debian/2.6.1-47”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 17 Mar 2017 11:02:29 +0100

eole-ead3 (2.6.1-47) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [1fba5b1] Fix test in reboot and shutdown script
  * [1824233] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [9615b4a] Lionel MORIN: Update package since “debian/2.6.1-46”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 17 Mar 2017 09:11:45 +0100

eole-ead3 (2.6.1-46) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [c1c7cb4] Add action to manage night schedules

  [ root ]
  * [d8df38c] Add toast and reload button to scheduleonce

  [ Bruno Boiget ]
  * [cc6a2b0] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [698da6f] Bruno Boiget: Update package since “debian/2.6.1-45”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Tue, 14 Mar 2017 18:32:56 +0100

eole-ead3 (2.6.1-45) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [000fda7] Fix name of schedule scripts
  * [87cec3b] Check incompatible scheduled tasks

  [ Daniel Dehennin ]
  * [1746e90] Nginx familly can be disabled when apache is enabled
  * [c582e74] Merge branch 'fix/cohabitation-nginx-apache'
  * [e03afcf] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [a59c265] Daniel Dehennin: Update package since “debian/2.6.1-44”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 14 Mar 2017 15:30:26 +0100

eole-ead3 (2.6.1-44) eole-2.6.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fd8945b] Revert "Invert dependencies order (eole-web/eole-reverseproxy)"

  [ EOLE Build Daemon ]
  * [dfcbaac] Daniel Dehennin: Update package since “debian/2.6.1-43”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 14 Mar 2017 15:23:27 +0100

eole-ead3 (2.6.1-43) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [9a59308] No error if night schedule already configured
  * [be24050] Change submit button label to 'Appliquer'
  * [f140038] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [12fc83c] Lionel MORIN: Update package since “debian/2.6.1-42”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 13 Mar 2017 11:36:17 +0100

eole-ead3 (2.6.1-42) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [3adabc4] Remove schedule includes in init.sls
  * [cd30f68] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [72436bd] Lionel MORIN: Update package since “debian/2.6.1-41”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 10 Mar 2017 14:10:07 +0100

eole-ead3 (2.6.1-41) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [0452652] Revert "Manage unicode strings in sls files"
  * [c817c62] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
Source: eole-ead3
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), build-essential, git
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ead3/repository

Package: eole-ead3
Architecture: all
Depends: ${misc:Depends}, ewt-portal, eole-server, python-salt.states.eole, eole-reverseproxy | eole-web, nginx-full
Description: EAD3 actions and configuration files for ewt-portal.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-ead3 2.6.2-10

=== debian/changelog ===
eole-ead3 (2.6.2-10) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [fb9f5c9] Fix typo
  * [9ff2873] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [e12b24e] Lionel MORIN: Update package since “debian/eole/2.6.2-9”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 03 Oct 2017 11:11:34 +0200

eole-ead3 (2.6.2-9) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [b12342e] Fix get folder path from config
  * [7c2bc8e] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [6fc3e9d] Lionel MORIN: Update package since “debian/eole/2.6.2-8”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 03 Oct 2017 10:53:02 +0200

eole-ead3 (2.6.2-8) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [c956f3c] Inclusion of /usr/share/creole installation folder for an eosfunc

  [ EOLE Build Daemon ]
  * [37c3df2] Lionel MORIN: Update package since “debian/eole/2.6.2-7”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 02 Oct 2017 14:01:40 +0200

eole-ead3 (2.6.2-7) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [6ea219c] Add a creole variable to put the EAD3 upload folder path
  * [d9f4f0f] Fix CreoleRun command to run in the master container
  * [591134c] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [78d33cc] Lionel MORIN: Update package since “debian/eole/2.6.2-6”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 29 Sep 2017 16:51:28 +0200

eole-ead3 (2.6.2-6) eole-2.6-unstable; urgency=low

  [ gwen ]
  * [223d03d] AAF import action

  [ Lionel MORIN ]
  * [da474d4] global file extensions and file path are moved in the file listing function now
  * [65aed44] Merge branch 'feature/21327_AAFCompletDelta' into develop
  * [eb7c3e9] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [82f0a45] Lionel MORIN: Update package since “debian/eole/2.6.2-5”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 28 Sep 2017 12:02:13 +0200

eole-ead3 (2.6.2-5) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [e9c85e3] Sneaky version bump
  * [841c8d5] Ajout point d'entrée reverse proxy websockets
  * [611a5ca] Authentification Salt via le header X-Auth-Token
  * [e69146b] Ajout d'un contournement de l'authentification en mode debug
  * [386b7b4] API de téléversement/énumération/suppression des fichiers OK
  * [3312187] Squelette de l'action EAD3 "Fichiers"
  * [628d2ec] Correction nom module
  * [55e7e19] Normalisation nom/point de montage de l'application
  * [0d5c863] Base de l'UI de manipulation des fichiers EAD3
  * [45e835f] Téléversement/listage/suppression des fichiers via l'interface
  * [6a711b0] Ajout des entêtes CORS
  * [5d89b9a] Correction erreur récupération de la liste des fichiers
  * [51a0406] Utilisation du RP Nginx pour accéder à l'application fileserver
  * [92d836a] Ajout documentation API pour le serveur de fichier de l'EAD3
  * [5986022] Merge remote-tracking branch 'origin/master' into develop
  * [7b3ee4e] Correction de la perte récurrente de connexion websocket
  * [751df3b] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [1466067] William Petit: Update package since “debian/eole/2.6.2-4”

 -- William Petit <wpetit@cadoles.com>  Tue, 26 Sep 2017 10:44:55 +0200

eole-ead3 (2.6.2-4) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [f8d1662] Utilisation du RP Nginx pour accéder à l'application fileserver
  * [d5da9e7] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [2432e7f] William Petit: Update package since “debian/eole/2.6.2-3”

 -- William Petit <wpetit@cadoles.com>  Wed, 06 Sep 2017 15:16:00 +0200

eole-ead3 (2.6.2-3) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [c10a83c] Déploiement du service ead3fileserver à l'installation du paquet

  [ EOLE Build Daemon ]
  * [82c8645] William Petit: Update package since “debian/eole/2.6.2-2”

 -- William Petit <wpetit@cadoles.com>  Mon, 28 Aug 2017 10:49:29 +0200

eole-ead3 (2.6.2-2) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [f1ca986] Merge branch 'master' into dist/eole/2.6.2/master
  * [0738a1c] Ajout point d'entrée reverse proxy websockets
  * [efca3b6] Authentification Salt via le header X-Auth-Token
  * [024a4fa] Ajout d'un contournement de l'authentification en mode debug
  * [08c51fc] API de téléversement/énumération/suppression des fichiers OK
  * [5b77006] Squelette de l'action EAD3 "Fichiers"
  * [56e5077] Correction nom module
  * [84aca30] Normalisation nom/point de montage de l'application
  * [bc74743] Base de l'UI de manipulation des fichiers EAD3
  * [e864017] Téléversement/listage/suppression des fichiers via l'interface
  * [e470911] Ajout des entêtes CORS
  * [d8d59a1] Merge branch 'master' into dist/eole/2.6.2/master
  * [2adf4ea] Update scheduleonce deps
  * [610be7a] Use ewt-custom-action to communicate with the portal
  * [143515f] Use ewt-custom-action
  * [6543e6f] Remove unnecessary glue code
  * [a218388] Refactor "schedulesonce" and "manageservices" actions
  * [00ccb24] Sneaky version bump
  * [8241c34] Merge branch 'master' into dist/eole/2.6.2/master
  * [6f762c1] Merge tag 'debian/eole/2.6.2-1' into dist/eole/2.6.2/master
  * [cdf7dc2] Correction erreur récupération de la liste des fichiers
  * [6652880] Merge branch 'master' into dist/eole/2.6.2/master

  [ Lionel MORIN ]
  * [d8b276a] Add action "service list"
  * [71c4f7b] Fix url in ajax request

  [ EOLE Build Daemon ]
  * [07b1e0b] William Petit: Update package since “debian/eole/2.6.2-1”

 -- William Petit <wpetit@cadoles.com>  Mon, 28 Aug 2017 10:15:49 +0200

eole-ead3 (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4e44b80] Prepare version 2.6.2
  * [0c17955] Merge tag 'release/2.6.2'
  * [f35b953] Nouvel espace de nommage des tags Debian
  * [808879f] Merge branch 'fix/cohabitation-nginx-apache' into develop

  [ Lionel MORIN ]
  * [3156099] Merge branch 'master' into develop


=== debian/control ===
Source: eole-ead3
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), build-essential, git, python-all-dev
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ead3/repository

Package: eole-ead3
Architecture: all
Depends: ${misc:Depends},
        python-ead3fileserver (= ${binary:Version}),
        ewt-portal,
        eole-server,
        python-salt.states.eole,
        eole-reverseproxy | eole-web,
        nginx-full
Description: EAD3 actions and configuration files for ewt-portal.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-ead3fileserver
Architecture: all
Section: python
Depends: ${misc:Depends},
        ${python:Depends},
        python-eoleflask (>= 2.4.0-7),
        creole (>= 2.4.0-105)
Description: EAD3 files server.

## eole-ead3 2.6.2-14

=== debian/changelog ===
eole-ead3 (2.6.2-14) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [1bd6bd7] Declare missing var to enable EAD3 with apache2 on 2.6.2
  * [4abc048] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [5d4914e] Joël Cuissinat: Update package since “debian/eole/2.6.2-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 08 Apr 2019 11:08:59 +0200

eole-ead3 (2.6.2-13) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f4999b6] The “eosfunc.uploaded_files()” is unknow when loading DHCP forms
  * [a81d302] Merge branch '2.6.2/master'

  [ EOLE Build Daemon ]
  * [b3051dc] Daniel Dehennin: Update package since “debian/eole/2.6.2-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 20 Dec 2018 09:45:42 +0100

eole-ead3 (2.6.2-12) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [5c83688] Break circle dependencies with eole-server

  [ EOLE Build Daemon ]
  * [176323f] Daniel Dehennin: Update package since “debian/eole/2.6.2-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 21 Jun 2018 11:03:47 +0200

eole-ead3 (2.6.2-11) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d821c7e] Better dependencies ordering

  [ EOLE Build Daemon ]
  * [a976585] Daniel Dehennin: Update package since “debian/eole/2.6.2-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 21 Jun 2018 10:57:08 +0200

## eole-ead3 2.6.2-15

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 SOURCE=eole-ead3
 VERSION=0.0
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
-PKGAPPS=non
+EOLE_RELEASE=2.6.2
+PKGAPPS=flask
+FLASK_MODULE=ead3fileserver
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
eole-ead3 (2.6.2-15) eole-2.6.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b1fa08f] Remove obsolete template if upgrading to 2.7.1.
  * [64843c9] Merge branch '2.6.2/28794-remove_template_if_no_more_needed' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [4318e03] Benjamin Bohard: Update package since “debian/eole/2.6.2-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jul 2019 14:41:58 +0200

=== debian/control ===
Source: eole-ead3
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), build-essential, git, python-all-dev
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ead3/repository

Package: eole-ead3
Architecture: all
Depends: python-ead3fileserver (= ${binary:Version}),
         ewt-portal,
         python-salt.states.eole,
         nginx-full,
         eole-reverseproxy | eole-web,
         ${misc:Depends}
Description: EAD3 actions and configuration files for ewt-portal.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-ead3fileserver
Architecture: all
Section: python
Depends: python-eoleflask (>= 2.4.0-7),
         creole (>= 2.4.0-105),
         ${python:Depends},
         ${misc:Depends}
Description: EAD3 files server.

## eole-ead3 2.7.0-7

=== debian/changelog ===
eole-ead3 (2.7.0-7) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [03883b0] The “eosfunc.uploaded_files()” is unknow when loading DHCP forms
  * [394e996] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [147b86a] Daniel Dehennin: Update package since “debian/eole/2.7.0-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 20 Dec 2018 08:40:58 +0100

eole-ead3 (2.7.0-6) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3be1a4a] Firewall disabling management
  * [31c1b9a] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [8257a8d] Joël Cuissinat: Update package since “debian/eole/2.7.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 02 Nov 2018 15:25:36 +0100

eole-ead3 (2.7.0-5) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [8d3a164] 0/0 sur eth0 signifie aucune restriction sur tous les réseaux (même interne) (ref #25560)

  [ Garette Emmanuel ]
  * [d000da3] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [5f0add9] Garette Emmanuel: Update package since “debian/eole/2.7.0-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 15 Oct 2018 17:23:58 +0200

eole-ead3 (2.7.0-4) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [935a5ea] EAD3 revu de l'activation/desactivation/contrôle des accès (ref #25155)

  [ Garette Emmanuel ]
  * [611bd90] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [5ac2f4e] Garette Emmanuel: Update package since “debian/eole/2.7.0-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 12 Oct 2018 17:19:55 +0200

eole-ead3 (2.7.0-3) eole-2.7-unstable; urgency=low

  [ gwen ]
  * [aad787d] salt-eole package dependencies

  [ EOLE Build Daemon ]
  * [3c6c26c] gwen: Update package since “debian/eole/2.7.0-2”

 -- gwen <gremond@cadoles.com>  Thu, 20 Sep 2018 16:55:49 +0200

eole-ead3 (2.7.0-2) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [8208092] Correction du sls ("-m post" non disponible sur eole 2.7.0)
  * [60076b2] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [86af77f] Bruno Boiget: Update package since “debian/eole/2.7.0-1”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 20 Sep 2018 16:12:55 +0200

eole-ead3 (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [0a091a7] Prepare version 2.7.0
  * [34acea7] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master

  [ Bruno Boiget ]
  * [268b822] Add dependency for python3-creole
  * [192ee0e] Merge branch 'master' into dist/eole/2.7.0/master

  [ Emmanuel Garette ]
  * [d378e49] supprime l'option -m de manage_schedule (ref #24250)
  * [cc9c895] port de eole-ead3 en python3 (ref #24229)

  [ EOLE Build Daemon ]
  * [0522d97] Bruno Boiget: Update package since “debian/eole/2.6.2-10”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 13 Sep 2018 10:51:56 +0200

## eole-ead3 2.7.0-10

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-ead3
 VERSION=0.0
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.2
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.0
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.7.0-10) eole-2.7.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [09877cb] Remove obsolete template if upgrading to 2.7.1.

  [ EOLE Build Daemon ]
  * [59480cd] Benjamin Bohard: Update package since “debian/eole/2.7.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jul 2019 14:43:24 +0200

eole-ead3 (2.7.0-9) eole-2.7.0-proposed-updates; urgency=low

  [ Laurent Flori ]
  * [f8f5867] Remove python salt module import
  * [25beb97] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [531453c] Laurent Flori: Update package since “debian/eole/2.7.0-8”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Tue, 16 Apr 2019 10:32:06 +0200

eole-ead3 (2.7.0-8) eole-2.7.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f4999b6] The “eosfunc.uploaded_files()” is unknow when loading DHCP forms

  [ Joël Cuissinat ]
  * [1bd6bd7] Declare missing var to enable EAD3 with apache2 on 2.6.2

  [ Fabrice Barconnière ]
  * [07ff857] Merge branch '2.6.2/master' into 2.7.0/master
  * [e696db6] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [df0b356] Fabrice Barconnière: Update package since “debian/eole/2.7.0-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 09 Apr 2019 10:50:46 +0200

=== debian/control ===
Source: eole-ead3
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), build-essential, git, python-all-dev
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ead3/repository

Package: eole-ead3
Architecture: all
Depends: ${misc:Depends},
        python-ead3fileserver (= ${binary:Version}),
        ewt-portal,
        eole-server,
        python3-salt.states.eole,
        eole-reverseproxy | eole-web,
        nginx-full,
        python3-creole
Description: EAD3 actions and configuration files for ewt-portal.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-ead3fileserver
Architecture: all
Section: python
Depends: ${misc:Depends},
        ${python:Depends},
        python-eoleflask (>= 2.4.0-7),
        creole (>= 2.4.0-105)
Description: EAD3 files server.

## eole-ead3 2.7.1-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ead3
 VERSION=0.0
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.1
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.7.1-4) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1856752] Allow connections from support services.
  * [2196b61] Merge branch '2.7.1/27910-allow_admin_ip'
  * [198dc07] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9a45d19] Benjamin Bohard: Update package since “debian/eole/2.7.1-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 29 May 2019 11:16:19 +0200

eole-ead3 (2.7.1-3) eole-2.7-unstable; urgency=low

  [ Laurent Flori ]
  * [f93614e] Remove python salt module import
  * [5f26ffe] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [4f4b468] Laurent Flori: Update package since “debian/eole/2.7.1-2”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Tue, 16 Apr 2019 10:33:56 +0200

eole-ead3 (2.7.1-2) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f4999b6] The “eosfunc.uploaded_files()” is unknow when loading DHCP forms

  [ Joël Cuissinat ]
  * [1bd6bd7] Declare missing var to enable EAD3 with apache2 on 2.6.2

  [ Fabrice Barconnière ]
  * [07ff857] Merge branch '2.6.2/master' into 2.7.0/master
  * [c6392b2] Merge branch '2.7.0/master'
  * [c43e99f] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [d47bf69] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 09 Apr 2019 10:54:33 +0200

eole-ead3 (2.7.1-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [99206a0] Prepare version 2.7.1
  * [13e210f] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master

  [ Fabrice Barconnière ]
  * [12e4bed] Specific salt configuration for EAD3
  * [7aa6aa1] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [b826bd3] Fabrice Barconnière: Update package since “debian/eole/2.7.0-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 08:14:40 +0100

## eole-ead3 2.7.2-1

=== debian/changelog ===
eole-ead3 (2.7.2-1) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [bc4143a] Prepare version 2.7.2
  * [7c821e1] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Matthieu Lamalle ]
  * [f4bc64c] Correction css cadre affcihage services ref #33062
  * [a98c087] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [99b24e4] Matthieu Lamalle: Update package since “debian/eole/2.7.1-4”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 08 Sep 2021 11:35:09 +0200

## eole-ead3 2.7.2-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ead3
 VERSION=0.0
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6ce5f04] EAD3 : correction orthographique (ref: #34374)

  [ Benjamin Bohard ]
  * [cf15ab7] Permettre de télécharger les fichiers déposés pour l’EAD3.
  * [c5f00d5] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8b4d77e] Benjamin Bohard: Update package since “debian/eole/2.7.2-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 01 Feb 2024 14:01:18 +0100

## eole-ead3 2.8.0-2

=== debian/changelog ===
eole-ead3 (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a354fdf] support de python3 (ref #29576)
  * [5742160] support de python3 (ref #29576)
  * [0052302] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [108fcdd] Emmanuel Garette: Update package since “debian/eole/2.8.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 Feb 2020 12:04:01 +0100

eole-ead3 (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [bc4143a] Prepare version 2.7.2
  * [7c821e1] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [8907cc1] Prepare version 2.8.0
  * [29fc908] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [91b756c] request.url_rule peut etre vide lors du téléchargement de favico (ref #29575)
  * [bd35717] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cd8e476] Emmanuel Garette: Update package since “debian/eole/2.7.1-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 15:38:23 +0100

## eole-ead3 2.8.0-5

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-ead3
 VERSION=0.0
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.8.0-5) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [cf15ab7] Permettre de télécharger les fichiers déposés pour l’EAD3.
  * [1451c41] Merge branch '2.7.2/master' into 2.8.0/master
  * [fd7b912] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a51cfdc] Benjamin Bohard: Update package since “debian/eole/2.8.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Feb 2024 08:28:33 +0100

eole-ead3 (2.8.0-4) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6ce5f04] EAD3 : correction orthographique (ref: #34374)
  * [638d9b6] Merge branch '2.7.2/master' into 2.8.0/master

  [ Laurent Gourvénec ]
  * [6037b4f] Exécution de la màj en français
  * [f476f10] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [e6a4438] Laurent Gourvénec: Update package since “debian/eole/2.8.0-3”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 19 Aug 2022 14:34:45 +0200

eole-ead3 (2.8.0-3) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [f4bc64c] Correction css cadre affcihage services ref #33062
  * [62e3d47] Merge branch '2.7.2/master' into 2.8.0/master
  * [abe32c8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ae23a53] Matthieu Lamalle: Update package since “debian/eole/2.8.0-2”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 08 Sep 2021 11:35:47 +0200

## eole-ead3 2.8.1-2

=== debian/changelog ===
eole-ead3 (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [51e2ed9] "activer_ead3" by default on 2.8.1
  * [867de09] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c0519d5] Joël Cuissinat: Update package since “debian/eole/2.8.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Jun 2021 13:37:31 +0200

eole-ead3 (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9895faf] Prepare version 2.8.1
  * [1f683db] Merge branch 'master' into dist/eole/2.8.1/master
  * [1264cbe] Amonecole: make sure the nginx configuration is up and running
  * [eb5048b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f91ee3d] Daniel Dehennin: Update package since “debian/eole/2.8.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 31 May 2021 11:56:36 +0200

## eole-ead3 2.8.1-7

=== debian/changelog ===
eole-ead3 (2.8.1-7) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [cf15ab7] Permettre de télécharger les fichiers déposés pour l’EAD3.
  * [1451c41] Merge branch '2.7.2/master' into 2.8.0/master
  * [95922e8] Merge branch '2.8.0/master' into 2.8.1/master
  * [70e7521] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d7b77a7] Benjamin Bohard: Update package since “debian/eole/2.8.1-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Feb 2024 08:29:16 +0100

eole-ead3 (2.8.1-6) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6ce5f04] EAD3 : correction orthographique (ref: #34374)
  * [638d9b6] Merge branch '2.7.2/master' into 2.8.0/master
  * [bfa6f0b] Merge branch '2.8.0/master' into 2.8.1/master

  [ Laurent Gourvénec ]
  * [6037b4f] Exécution de la màj en français
  * [75a5d7d] Merge branch '2.8.0/master' into 2.8.1/master
  * [0e1ff03] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [aa108ff] Laurent Gourvénec: Update package since “debian/eole/2.8.1-5”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 19 Aug 2022 14:35:20 +0200

eole-ead3 (2.8.1-5) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [39c1ddb] feat(nginx): redirect HTTP to HTTPS
  * [d041e2d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [9b23a3a] Daniel Dehennin: Update package since “debian/eole/2.8.1-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 04 May 2022 10:50:34 +0200

eole-ead3 (2.8.1-4) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3e2e4f5] le service nginx n'est pas géré par eole-ead3, mais par nginx (ref #33374)
  * [c0f9b08] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [252f89e] Emmanuel Garette: Update package since “debian/eole/2.8.1-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 04 Nov 2021 15:45:25 +0100

eole-ead3 (2.8.1-3) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [f4bc64c] Correction css cadre affcihage services ref #33062
  * [62e3d47] Merge branch '2.7.2/master' into 2.8.0/master
  * [02d5816] Merge branch '2.8.0/master'
  * [41103c4] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f38a560] Matthieu Lamalle: Update package since “debian/eole/2.8.1-2”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 08 Sep 2021 11:36:30 +0200

## eole-ead3 2.8.1-9

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ead3
 VERSION=0.0
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.8.1-9) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c5df3d6] Revert "dependence à eole-salt-dependencies (ref #36403)"

  [ EOLE Build Daemon ]
  * [e6d104a] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 18:37:09 +0100

eole-ead3 (2.8.1-8) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [f2c97e9] dependence à eole-salt-dependencies (ref #36403)

  [ EOLE Build Daemon ]
  * [23685dc] Emmanuel Garette: Update package since “debian/eole/2.8.1-7”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 17:39:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 7.0.50), build-essential, git, python-all-dev
+Build-Depends: debhelper (>= 7.0.50), build-essential, git, python3-all-dev
 Standards-Version: 3.8.4
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
@@ -27,7 +27,7 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-        ${python:Depends},
+        ${python3:Depends},
         python-eoleflask (>= 2.4.0-7),
         creole (>= 2.4.0-105)
 Description: EAD3 files server.

## eole-ead3 2.9.0-2

=== debian/changelog ===
eole-ead3 (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6ce5f04] EAD3 : correction orthographique (ref: #34374)
  * [638d9b6] Merge branch '2.7.2/master' into 2.8.0/master
  * [bfa6f0b] Merge branch '2.8.0/master' into 2.8.1/master
  * [5bbc2b2] Merge branch '2.8.1/master'

  [ Laurent Gourvénec ]
  * [6037b4f] Exécution de la màj en français
  * [75a5d7d] Merge branch '2.8.0/master' into 2.8.1/master
  * [a88db27] Merge branch '2.8.1/master'
  * [9f15dcb] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [378acd1] Laurent Gourvénec: Update package since “debian/eole/2.9.0-1”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 19 Aug 2022 14:37:18 +0200

eole-ead3 (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [c01f722] Prepare version 2.9.0
  * [7bac825] Merge branch 'master' into dist/eole/2.9.0/master
  * [3853ec1] fix(makefile): installing files requires directories first
  * [39c1ddb] feat(nginx): redirect HTTP to HTTPS
  * [81a2236] Merge branch '2.8.1/master'
  * [c80a897] Merge branch 'master' into dist/eole/2.9.0/master

  [ Joël Cuissinat ]
  * [d3c86bf] Upgrade *eole-ead3* packaging for EOLE 2.9

  [ EOLE Build Daemon ]
  * [41a75df] Joël Cuissinat: Update package since “debian/eole/2.8.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 05 May 2022 10:49:40 +0200

## eole-ead3 2.9.0-4

=== debian/changelog ===
eole-ead3 (2.9.0-4) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [17c1809] nginx - ead3 : vérifier le certificat LE fullchain (ref #35894)
  * [961b749] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [200c3c4] Emmanuel Garette: Update package since “debian/eole/2.9.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:54:16 +0200

eole-ead3 (2.9.0-3) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [cf15ab7] Permettre de télécharger les fichiers déposés pour l’EAD3.
  * [1451c41] Merge branch '2.7.2/master' into 2.8.0/master
  * [95922e8] Merge branch '2.8.0/master' into 2.8.1/master
  * [db7eead] Merge branch '2.8.1/master' into 2.9.0/master
  * [48f84a0] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [72fd466] Joël Cuissinat: Update package since “debian/eole/2.9.0-2”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 20 Mar 2024 11:43:04 +0100

## eole-ead3 2.9.0-6

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-ead3
 VERSION=0.0
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.9.0-6) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [30e7166] Revert "dependence à eole-salt-dependencies (ref #36403)"

  [ EOLE Build Daemon ]
  * [e3cf730] Emmanuel Garette: Update package since “debian/eole/2.9.0-5”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 18:37:55 +0100

eole-ead3 (2.9.0-5) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [f0f4af9] dependence à eole-salt-dependencies (ref #36403)

  [ EOLE Build Daemon ]
  * [eb71be2] Emmanuel Garette: Update package since “debian/eole/2.9.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 17:40:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 7.0.50), build-essential, git, python3-all-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 13),
+               build-essential,
+               git,
+               python3-all-dev
+Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ead3
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ead3/repository
@@ -27,7 +30,7 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-        ${python3:Depends},
-        python-eoleflask (>= 2.4.0-7),
-        creole (>= 2.4.0-105)
+         ${python3:Depends},
+         python-eoleflask,
+         creole
 Description: EAD3 files server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb

## eole-ead3 2.10.0-4

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-ead3
 VERSION=0.0
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=flask
 FLASK_MODULE=ead3fileserver

=== debian/changelog ===
eole-ead3 (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d724bc9] Add python3-setuptools dependancy

  [ EOLE Build Daemon ]
  * [a7b95d6] Joël Cuissinat: Update package since “debian/eole/2.10.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Jul 2024 11:43:45 +0200

eole-ead3 (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [7cc131d] Les dépendances sont nécessaires au fonctionnement de l’EAD3.

  [ EOLE Build Daemon ]
  * [d059bec] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 10 Jul 2024 08:58:08 +0200

eole-ead3 (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [262b902] Remplacer warn par warning.
  * [6d2ead2] Remplacer warn par warning.
  * [cdcf143] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [e13110c] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 May 2024 11:35:33 +0200

eole-ead3 (2.10.0-1) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [edc47cc] Prepare release 2.10.0
  * [aef11ce] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [cf15ab7] Permettre de télécharger les fichiers déposés pour l’EAD3.
  * [1451c41] Merge branch '2.7.2/master' into 2.8.0/master
  * [95922e8] Merge branch '2.8.0/master' into 2.8.1/master
  * [db7eead] Merge branch '2.8.1/master' into 2.9.0/master
  * [903fa97] Merge branch '2.9.0/master'
  * [ea9b1b4] Merge branch 'master' into dist/eole/2.10.0/master

  [ Emmanuel Garette ]
  * [17c1809] nginx - ead3 : vérifier le certificat LE fullchain (ref #35894)
  * [885775c] Merge branch '2.9.0/master'
  * [7485f28] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [7b29aac] Emmanuel Garette: Update package since “debian/eole/2.9.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:54:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 13),
                build-essential,
+               python3-setuptools,
                git,
                python3-all-dev
 Standards-Version: 4.6.0
@@ -20,7 +21,8 @@
         python3-salt.states.eole,
         eole-reverseproxy | eole-web,
         nginx-full,
-        python3-creole
+        python3-creole,
+        eole-salt-dependencies
 Description: EAD3 actions and configuration files for ewt-portal.
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
